#declare blind_height=110;
#declare blind_width=150;
#declare pane_thick=.1;
#declare pane_width=4;
#declare pane_rot=-10;
#declare num_panes=20;
#declare cnt_panes=1;
#declare t_blind=texture{pigment{White}}
#declare blind=
union{
 #while (cnt_panes<=num_panes)
  box{
   <-blind_width*.5,-pane_thick*.5,-pane_width*.5>
   < blind_width*.5, pane_thick*.5, pane_width*.5>
   texture{t_blind}
   rotate pane_rot*x
   translate <0,cnt_panes*(blind_height/num_panes),0>
  }
  #declare cnt_panes=cnt_panes+1;
 #end
}
