
#declare key_rust=
texture{
 pigment{Tan/10+Orange/8}
 finish{metallic}
}
#declare key_metal1=texture{T_Chrome_1A pigment{DarkTan/4+Orange/6}}
#declare key_metal2=texture{T_Chrome_1B normal{granite 0.1 scale .1}}
#declare key_metal3=texture{T_Chrome_2B normal{dents scale .2}}
#declare key_metal4=texture{T_Chrome_2C normal{bumps scale .3}}

#declare key01=
height_field{
 gif "hf_key01"
 smooth
 water_level 0.2
 texture{
  material_map{
  gif "mm_key01"
  texture{pigment{Clear}}
  texture{key_metal1}
  texture{key_metal2}
  texture{key_metal3}
  }
  rotate 90*x
 }
 translate -.5
 scale <5.5,0.2,2.5>
 translate 2.5*x
}

#declare key02=
height_field{
 gif "hf_key02"
 smooth
 water_level 0.2
 texture{
  material_map{
  gif "mm_key02"
  texture{pigment{Clear}}
  texture{key_metal1}
  texture{key_metal2}
  texture{key_metal3}
  texture{key_metal4}
  }
  rotate 90*x
 }
 translate -.5
 scale <5.5,0.2,2.5>
 translate 2.5*x
}

#declare keyring=
union{
 union{
  torus{1.3,.06 translate  .06*y}
  torus{1.3,.06 translate -.06*y}
  texture{key_metal3}
  rotate -50*x
  rotate 45*y
  translate <-.6,1.36,.6>
 }
 object{key02
  rotate 110*y
  rotate -6*x
  translate <0,.6,0.4>
 }
 object{key01
  rotate 90*y
  rotate -5.5*x
  translate <0,1.0,0.2>
 }
 object{key02
  rotate 60*y
  rotate -5*x
  translate <0,1.4,0>
 }
 translate .5*z
}
