// *** medidas ***
#declare alt_vaso=10;
#declare alt_guisqui=6;
#declare rad_vaso=4;
#declare gro_vaso=0.2;
// *** texturas ***
#declare t_cristal=
texture {
 pigment { color rgbf<1.0, 1.0, 1.0, 0.95> }
 finish {
    specular 1
    roughness 0.001
    ambient 0
    diffuse 0
    reflection 0.1
    ior 1.5
    caustics .1
 }
}
 #declare t_guisqui=
 texture{
  pigment{White filter 0.99}
  finish {
    specular 1
    roughness 0.001
    ambient 0
    diffuse 0
    reflection 0.2
    ior 1.1
    caustics .1
  }
 }
// *** objeto VASO ***
#declare guisqui=
merge{
   difference{
    cylinder{
     <0,rad_vaso/2,0>
     <0,alt_guisqui,0>
     rad_vaso-gro_vaso-0.01
    }
    sphere{<0,0,0>,rad_vaso-gro_vaso-0.01
     scale <1,0.1,1>
     translate alt_guisqui*y
    }
   }
   sphere{
    <0,0,0>,rad_vaso-gro_vaso-0.1
    scale <1,0.1,1>
    translate (rad_vaso/2)*y
   }
   hollow
  translate 0.01*y
  texture{t_guisqui}
}#declare vaso=
merge{
 difference{
  cylinder{
   <0,0,0>
   <0,alt_vaso,0>
   rad_vaso
  }
  union{
   cylinder{
    <0,rad_vaso/2,0>
    <0,alt_vaso+gro_vaso,0>
    rad_vaso-gro_vaso
   }
   sphere{
    <0,0,0>,rad_vaso-gro_vaso
    scale <1,0.1,1>
    translate (rad_vaso/2)*y
   }
  }
 }
 difference{
  torus{rad_vaso-gro_vaso/2,gro_vaso/2}
  plane{y,0 }
  translate alt_vaso*y
 }
 difference{
  torus{rad_vaso-gro_vaso/2,gro_vaso/2}
  plane{y,0 inverse}
 }
 hollow
 texture{t_cristal}
}
// *** colocacion ***
#declare vaso_guisqui=
merge{
 object{vaso}
 object{guisqui scale .99}
 hollow
}
