#include "i_shapes.inc"
#declare r_color=seed(4367);

#declare losa_cua=
object{cuadrado
 scale <2,.5,2>
 rotate -90*x
}

#declare losa_oct=
object{octogono
 scale <5,.5,5>
 rotate -90*x
}

#declare unidad_base=
union{
 object{losa_oct scale <.95,.95,1>}
 object{losa_cua translate  7*y}
}

#declare num_uni=16;
#declare num_fil=16;
#declare cnt_fil=0;
#declare floor_tile=
union{
#while (cnt_fil<num_fil)
 #declare cnt_uni=0;
 #while (cnt_uni<num_uni)
  union{
   object{losa_oct
    texture{
     pigment{Flesh*.9+Flesh*.1*rand(r_color)}
     normal{dents scale 4}
     finish{Shiny reflection 0.05}
    }
    scale <.95,.95,1>
   }
   object{losa_cua
    texture{
     pigment{DarkGreen+Green*.1*rand(r_color)}
     normal{dents scale 4}
     finish{Shiny reflection 0.05}
    }
    translate  7*y
   }
   translate <cnt_uni*14,cnt_fil*14,0>
  }
  union{
   object{losa_oct
    texture{
     pigment{Flesh*.9+Flesh*.1*rand(r_color)}
     normal{dents scale 4}
     finish{Shiny reflection 0.05}
    }
    scale <.95,.95,1>
   }
   object{losa_cua
    texture{
     pigment{DarkGreen+Green*.1*rand(r_color)}
     normal{dents scale 4}
     finish{Shiny reflection 0.05}
    }
    translate  7*y
   }
   translate <cnt_uni*14,cnt_fil*14,0>
   translate <-7,-7,0>
  }
  #declare cnt_uni=cnt_uni+1;
 #end
 #declare cnt_fil=cnt_fil+1;
#end
 plane{z,-0.4
  texture{
   pigment{DarkTan}
   normal{granite scale .1}
  }
 }
 translate <-num_uni*7,-num_fil*7,0>
 rotate 90*x
}
