// include leaf macro
#include "i_leaf.inc"

// leaf parameters
#declare sections=15;
#declare r_plant=seed(189);
#declare min_height=5;
#declare max_height=20;
#declare medium_radius=.5;

// plant param
#declare num_leaves=40;
#declare cnt_leaves=1;
#declare base_radius=2.5;

// call the macro
#declare plant=
union{
#while (cnt_leaves<=num_leaves)
 object{
  Build_Leaf(sections,min_height,max_height,medium_radius,r_plant)
  texture{pigment{Gold*.5+ForestGreen*.5*rand(r_plant)} finish{Dull}}
  translate -(base_radius*rand(r_plant))*z
  rotate (360*rand(r_plant))*y
 }
 #declare cnt_leaves=cnt_leaves+1;
#end
}
