#macro sofa(ancho_base,hondo_base,alto_base,grosor,alto_pata,radio_pata,tapizado1)

// --- almohadon asiento ---
#local almoh_asi=
difference{
 superellipsoid{<0.2,0.2>
  scale <ancho_base/2,grosor/2,hondo_base/2>
  scale 1.1
  translate <0,alto_pata*3,0>
 }
 superellipsoid{<0.2,0.2>
  scale <(ancho_base/2)-(grosor/2),grosor/2,hondo_base/2>
  scale 1.1
  rotate 100*x
  translate <0,alto_pata*3+(alto_base/2)-(grosor/2),(hondo_base/2)>
 }
 superellipsoid{<0.2,0.2>
  scale <grosor/2,grosor,hondo_base/2.5>
  scale 1.1
  translate <-(ancho_base/2)+(grosor/4),alto_pata*3+grosor,grosor/2>
 }
 superellipsoid{<0.2,0.2>
  scale <grosor/2,grosor,hondo_base/2.5>
  scale 1.1
  translate <(ancho_base/2)-(grosor/4),alto_pata*3+grosor,grosor/2>
 }
 scale <0.98,0.8,0.98>
 texture{tapizado1}
 translate <0,grosor,-grosor/10>
}
// --- base ---
#local base=
union{
 superellipsoid{<0.2,0.2>
  scale <ancho_base/2,grosor/2,hondo_base/2>
  scale 1.1
  translate <0,alto_pata*3,0>
 }
 superellipsoid{<0.2,0.2>
  scale <(ancho_base/2)-(grosor/2),grosor/2,hondo_base/2>
  scale 1.1
  rotate 100*x
  translate <0,alto_pata*3+(alto_base/2)-(grosor/2),(hondo_base/2)>
 }
 superellipsoid{<0.2,0.2>
  scale <grosor/2,grosor,hondo_base/2.5>
  scale 1.1
  translate <-(ancho_base/2),alto_pata*3+grosor,grosor/2>
 }
 superellipsoid{<0.2,0.2>
  scale <grosor/2,grosor,hondo_base/2.5>
  scale 1.1
  translate <(ancho_base/2),alto_pata*3+grosor,grosor/2>
 }
 texture{tapizado1}
}
// --- patas ---
#local patas=
union{
 cylinder{
  <0,0,0>,<0,alto_pata*2,0>,radio_pata
  translate <-(ancho_base/2)+radio_pata,0,-(hondo_base/2)+radio_pata>
 }
 cylinder{
  <0,0,0>,<0,alto_pata*2,0>,radio_pata
  translate <-(ancho_base/2)+radio_pata,0,(hondo_base/2)-radio_pata>
 }
 cylinder{
  <0,0,0>,<0,alto_pata*2,0>,radio_pata
  translate <(ancho_base/2)-radio_pata,0,-(hondo_base/2)+radio_pata>
 }
 cylinder{
  <0,0,0>,<0,alto_pata*2,0>,radio_pata
  translate <(ancho_base/2)-radio_pata,0,(hondo_base/2)-radio_pata>
 }
 texture{Polished_Chrome}
}
// --- MONTAJE ---
union{
 object{almoh_asi}
 object{base}
 object{patas}
}

#end // macro sofa()

// --- texturas ---
#declare tapizado=
texture{
 pigment{DarkOliveGreen}
 normal{quilted}
 finish{Phong_Shiny}
 scale 4
}

#declare sofa1=sofa(100,50,64,15,4,2,tapizado)
#declare sofa2=sofa(50,50,64,15,4,2,tapizado)